Downloads

Add, edit, and delete anything related to downloads.

DownloadItem

download_id
string

The unique ID for this download

date_created
string

The date this download was created.

product_id
integer

The product ID associated with this download.

order_id
integer

The order ID associated with this download.

download_count
integer

The number of times the user has downloaded this item.

download_file_name
string

The filename for this download item.

is_amazon
boolean

Is the download hosted on Amazon S3

amazon_key
string

The key for Amazon S3, if applicable.

{
  • "download_id": "string",
  • "date_created": "string",
  • "product_id": 0,
  • "order_id": 0,
  • "download_count": 0,
  • "download_file_name": "string",
  • "is_amazon": true,
  • "amazon_key": "string"
}

Gets a list of downloads

This allows you to get a list of downloads

SecuritybearerAuth or basicAuth
Request
query Parameters
page
integer <int64>

Page number starting at 1

perpage
integer <int64>

Number of items per page

sortby
string

Sort results by term

sortdir
string

Sort results ASC or DESC

search
string

Filter downloads by a search term

Responses
200

Successful operation

400

Unauthorized

get/downloads
Request samples
Response samples
application/json
[
  • {
    }
]

Add a Downloads

This allows you to add a new download

SecuritybearerAuth
Request
Request Body schema: application/json
required

Submit any or all elements to add a new download.

product_id
integer

The product ID associated with this download.

order_id
integer

The order ID associated with this download.

download_count
integer

The number of times the user has downloaded this item.

download_file_name
string

The filename for this download item.

is_amazon
boolean

Is the download hosted on Amazon S3

amazon_key
string

The key for Amazon S3, if applicable.

Responses
200

Successful operation

400

Unauthorized

post/downloads
Request samples
application/json
{
  • "product_id": 0,
  • "order_id": 0,
  • "download_count": 0,
  • "download_file_name": "string",
  • "is_amazon": true,
  • "amazon_key": "string"
}
Response samples
application/json
{
  • "download_id": "string",
  • "date_created": "string",
  • "product_id": 0,
  • "order_id": 0,
  • "download_count": 0,
  • "download_file_name": "string",
  • "is_amazon": true,
  • "amazon_key": "string"
}

Gets a download by ID

This allows you to get a download from your store by download ID

SecuritybearerAuth or basicAuth
Request
path Parameters
download_id
required
string^[0-9a-zA-Z]+$

Download ID

Responses
200

Successful operation

400

Unauthorized

get/downloads/{download_id}
Request samples
Response samples
application/json
{
  • "download_id": "string",
  • "date_created": "string",
  • "product_id": 0,
  • "order_id": 0,
  • "download_count": 0,
  • "download_file_name": "string",
  • "is_amazon": true,
  • "amazon_key": "string"
}

Updates a download by ID

This allows you to update a download

SecuritybearerAuth
Request
path Parameters
download_id
required
string^[0-9a-zA-Z]+$

Download ID

Request Body schema: application/json
required

Submit any or all elements to update the download.

product_id
integer

The product ID associated with this download.

order_id
integer

The order ID associated with this download.

download_count
integer

The number of times the user has downloaded this item.

download_file_name
string

The filename for this download item.

is_amazon
boolean

Is the download hosted on Amazon S3

amazon_key
string

The key for Amazon S3, if applicable.

Responses
200

Successful operation

400

Unauthorized

patch/downloads/{download_id}
Request samples
application/json
{
  • "product_id": 0,
  • "order_id": 0,
  • "download_count": 0,
  • "download_file_name": "string",
  • "is_amazon": true,
  • "amazon_key": "string"
}
Response samples
application/json
{
  • "download_id": "string",
  • "date_created": "string",
  • "product_id": 0,
  • "order_id": 0,
  • "download_count": 0,
  • "download_file_name": "string",
  • "is_amazon": true,
  • "amazon_key": "string"
}

Deletes a download by code

This allows you to delete a download from your store

SecuritybearerAuth
Request
path Parameters
download_id
required
string^[0-9a-zA-Z]+$

Download ID

Responses
200

Successful operation

400

Unauthorized

delete/downloads/{download_id}
Request samples
Response samples
application/json
{
  • "download_id": "string",
  • "date_created": "string",
  • "product_id": 0,
  • "order_id": 0,
  • "download_count": 0,
  • "download_file_name": "string",
  • "is_amazon": true,
  • "amazon_key": "string"
}